Copy Kitty

Informations

Créateur Messages
ntfwc Anonymous

Information

Cet installateur a été accepté par l'équipe.

Informations

Plate-formes :
Téléchargements : 3094
Wine: 3.0.3

Retours d'expérience

Description

Copy kitty is a stylish action game where you copy and combine enemy weapons and abilities.

This script works with the zip files, you can get from itch.io, for both the demo version and full version.

Code source

#!/bin/bash
# Date : (2018-07-18 12-06)
# Last revision : (2018-07-18 12-06)
# Wine version used : 3.0.2
# Distribution used to test : Xubuntu 16.04
# Author : ntfwc

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Copy Kitty"
PREFIX="copy_kitty"
AUTHOR="ntfwc"
GAME_CREATOR="Nuclear Strawberry"
GAME_SITE="http://entanma.com/copykitty/"

EXECUTABLE="kitty.exe"
PREFIX_INSTALL_PATH="drive_c/Program Files"
WINE_VERSION="3.0.3"

TOP_IMAGE_URL=http://0.0.0.0/top.png
LEFT_IMAGE_URL=http://0.0.0.0/left.jpg
 
POL_GetSetupImages "$TOP_IMAGE_URL" "$LEFT_IMAGE_URL" "$TITLE"
POL_SetupWindow_Init
POL_Debug_Init

main()
{
        # Require that unzip is available
        if ! which unzip > /dev/null
        then
                POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
                return 1
        fi

        POL_SetupWindow_presentation "$TITLE" "$GAME_CREATOR" "$GAME_SITE" "$AUTHOR" "$PREFIX"

        [ "$(POL_Wine_PrefixExists ""$PREFIX"")" == True ]
        PREFIX_ALREADY_EXISTS=$?

        if [ "$PREFIX_ALREADY_EXISTS" -eq 0 ]
        then
                POL_SetupWindow_question "$(eval_gettext 'The install prefix already exists, continue with installation?')" "$TITLE"
                if [ "$APP_ANSWER" == "FALSE" ]
                then
                        return 1
                fi
        fi

        POL_SetupWindow_browse "$(eval_gettext 'Select game zip file')" "$TITLE" "" "*.zip"
        ZIP_FILE=$APP_ANSWER
        if [ ! -r "$ZIP_FILE" ]
        then
                POL_Debug_Error "$(eval_gettext 'Cannot read given zip file: ')$ZIP_FILE"
                return 1
        fi
        # Make sure the zip file actually contains the expected executable
        if ! unzip -l "$ZIP_FILE" "*$EXECUTABLE" > /dev/null
        then
                POL_Debug_Error "$(eval_gettext 'The given zip file does not contain the expected executable: ')$EXECUTABLE"
                return 1
        fi

        POL_Wine_SelectPrefix "$PREFIX"
        if [ "$PREFIX_ALREADY_EXISTS" -ne 0 ]
        then
                # Setup the virtual drive
                POL_Wine_PrefixCreate "$WINE_VERSION"
                POL_Call POL_Install_dotnet40
                POL_Call POL_Install_xna40
        fi

        # Extract the game in the prefix
        INSTALL_PATH="$WINEPREFIX/$PREFIX_INSTALL_PATH"
        if ! cd "$INSTALL_PATH"
        then
                POL_Debug_Error "$(eval_gettext 'Failed to cd to the expected install path: ')$INSTALL_PATH"
                return 1
        fi
        POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"
        POL_Debug_Message "Extracting zip file '$ZIP_FILE' to $PWD"
        if ! unzip "$ZIP_FILE"
        then
                POL_Debug_Error "$(eval_gettext 'Failed to unzip the file: ')$ZIP_FILE"
                return 1
        fi

        POL_Shortcut $EXECUTABLE "$TITLE"
}

main
 
POL_SetupWindow_Close
exit

Contributions

Filters:

Contribuer
Membre Messages
Dadu042 Samedi 30 Janvier 2021 à 22:00
Dadu042

Information

Cette mise à jour a été acceptée par l'équipe

Differences

@@ -16,7 +16,7 @@
 
 EXECUTABLE="kitty.exe"
 PREFIX_INSTALL_PATH="drive_c/Program Files"
-WINE_VERSION="3.0.2"
+WINE_VERSION="3.0.3"
 
 TOP_IMAGE_URL=http://0.0.0.0/top.png
 LEFT_IMAGE_URL=http://0.0.0.0/left.jpg

Nouveau code source

#!/bin/bash
# Date : (2018-07-18 12-06)
# Last revision : (2018-07-18 12-06)
# Wine version used : 3.0.2
# Distribution used to test : Xubuntu 16.04
# Author : ntfwc

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Copy Kitty"
PREFIX="copy_kitty"
AUTHOR="ntfwc"
GAME_CREATOR="Nuclear Strawberry"
GAME_SITE="http://entanma.com/copykitty/"

EXECUTABLE="kitty.exe"
PREFIX_INSTALL_PATH="drive_c/Program Files"
WINE_VERSION="3.0.3"

TOP_IMAGE_URL=http://0.0.0.0/top.png
LEFT_IMAGE_URL=http://0.0.0.0/left.jpg
 
POL_GetSetupImages "$TOP_IMAGE_URL" "$LEFT_IMAGE_URL" "$TITLE"
POL_SetupWindow_Init
POL_Debug_Init

main()
{
        # Require that unzip is available
        if ! which unzip > /dev/null
        then
                POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
                return 1
        fi

        POL_SetupWindow_presentation "$TITLE" "$GAME_CREATOR" "$GAME_SITE" "$AUTHOR" "$PREFIX"

        [ "$(POL_Wine_PrefixExists ""$PREFIX"")" == True ]
        PREFIX_ALREADY_EXISTS=$?

        if [ "$PREFIX_ALREADY_EXISTS" -eq 0 ]
        then
                POL_SetupWindow_question "$(eval_gettext 'The install prefix already exists, continue with installation?')" "$TITLE"
                if [ "$APP_ANSWER" == "FALSE" ]
                then
                        return 1
                fi
        fi

        POL_SetupWindow_browse "$(eval_gettext 'Select game zip file')" "$TITLE" "" "*.zip"
        ZIP_FILE=$APP_ANSWER
        if [ ! -r "$ZIP_FILE" ]
        then
                POL_Debug_Error "$(eval_gettext 'Cannot read given zip file: ')$ZIP_FILE"
                return 1
        fi
        # Make sure the zip file actually contains the expected executable
        if ! unzip -l "$ZIP_FILE" "*$EXECUTABLE" > /dev/null
        then
                POL_Debug_Error "$(eval_gettext 'The given zip file does not contain the expected executable: ')$EXECUTABLE"
                return 1
        fi

        POL_Wine_SelectPrefix "$PREFIX"
        if [ "$PREFIX_ALREADY_EXISTS" -ne 0 ]
        then
                # Setup the virtual drive
                POL_Wine_PrefixCreate "$WINE_VERSION"
                POL_Call POL_Install_dotnet40
                POL_Call POL_Install_xna40
        fi

        # Extract the game in the prefix
        INSTALL_PATH="$WINEPREFIX/$PREFIX_INSTALL_PATH"
        if ! cd "$INSTALL_PATH"
        then
                POL_Debug_Error "$(eval_gettext 'Failed to cd to the expected install path: ')$INSTALL_PATH"
                return 1
        fi
        POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"
        POL_Debug_Message "Extracting zip file '$ZIP_FILE' to $PWD"
        if ! unzip "$ZIP_FILE"
        then
                POL_Debug_Error "$(eval_gettext 'Failed to unzip the file: ')$ZIP_FILE"
                return 1
        fi

        POL_Shortcut $EXECUTABLE "$TITLE"
}

main
 
POL_SetupWindow_Close
exit

Réponses

ntfwc Mardi 31 Juillet 2018 à 1:32
ntfwc Anonymous

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Differences

@@ -0,0 +1,95 @@
+#!/bin/bash
+# Date : (2018-07-18 12-06)
+# Last revision : (2018-07-18 12-06)
+# Wine version used : 3.0.2
+# Distribution used to test : Xubuntu 16.04
+# Author : ntfwc
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+TITLE="Copy Kitty"
+PREFIX="copy_kitty"
+AUTHOR="ntfwc"
+GAME_CREATOR="Nuclear Strawberry"
+GAME_SITE="http://entanma.com/copykitty/"
+
+EXECUTABLE="kitty.exe"
+PREFIX_INSTALL_PATH="drive_c/Program Files"
+WINE_VERSION="3.0.2"
+
+TOP_IMAGE_URL=http://0.0.0.0/top.png
+LEFT_IMAGE_URL=http://0.0.0.0/left.jpg
+ 
+POL_GetSetupImages "$TOP_IMAGE_URL" "$LEFT_IMAGE_URL" "$TITLE"
+POL_SetupWindow_Init
+POL_Debug_Init
+
+main()
+{
+	# Require that unzip is available
+	if ! which unzip > /dev/null
+	then
+		POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
+		return 1
+	fi
+
+	POL_SetupWindow_presentation "$TITLE" "$GAME_CREATOR" "$GAME_SITE" "$AUTHOR" "$PREFIX"
+
+	[ "$(POL_Wine_PrefixExists ""$PREFIX"")" == True ]
+	PREFIX_ALREADY_EXISTS=$?
+
+	if [ "$PREFIX_ALREADY_EXISTS" -eq 0 ]
+	then
+		POL_SetupWindow_question "$(eval_gettext 'The install prefix already exists, continue with installation?')" "$TITLE"
+		if [ "$APP_ANSWER" == "FALSE" ]
+		then
+			return 1
+		fi
+	fi
+
+	POL_SetupWindow_browse "$(eval_gettext 'Select game zip file')" "$TITLE" "" "*.zip"
+	ZIP_FILE=$APP_ANSWER
+	if [ ! -r "$ZIP_FILE" ]
+	then
+		POL_Debug_Error "$(eval_gettext 'Cannot read given zip file: ')$ZIP_FILE"
+		return 1
+	fi
+	# Make sure the zip file actually contains the expected executable
+	if ! unzip -l "$ZIP_FILE" "*$EXECUTABLE" > /dev/null
+	then
+		POL_Debug_Error "$(eval_gettext 'The given zip file does not contain the expected executable: ')$EXECUTABLE"
+		return 1
+	fi
+
+	POL_Wine_SelectPrefix "$PREFIX"
+	if [ "$PREFIX_ALREADY_EXISTS" -ne 0 ]
+	then
+		# Setup the virtual drive
+		POL_Wine_PrefixCreate "$WINE_VERSION"
+		POL_Call POL_Install_dotnet40
+		POL_Call POL_Install_xna40
+	fi
+
+	# Extract the game in the prefix
+	INSTALL_PATH="$WINEPREFIX/$PREFIX_INSTALL_PATH"
+	if ! cd "$INSTALL_PATH"
+	then
+		POL_Debug_Error "$(eval_gettext 'Failed to cd to the expected install path: ')$INSTALL_PATH"
+		return 1
+	fi
+	POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"
+	POL_Debug_Message "Extracting zip file '$ZIP_FILE' to $PWD"
+	if ! unzip "$ZIP_FILE"
+	then
+		POL_Debug_Error "$(eval_gettext 'Failed to unzip the file: ')$ZIP_FILE"
+		return 1
+	fi
+
+	POL_Shortcut $EXECUTABLE "$TITLE"
+}
+
+main
+ 
+POL_SetupWindow_Close
+exit

Nouveau code source

#!/bin/bash
# Date : (2018-07-18 12-06)
# Last revision : (2018-07-18 12-06)
# Wine version used : 3.0.2
# Distribution used to test : Xubuntu 16.04
# Author : ntfwc

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Copy Kitty"
PREFIX="copy_kitty"
AUTHOR="ntfwc"
GAME_CREATOR="Nuclear Strawberry"
GAME_SITE="http://entanma.com/copykitty/"

EXECUTABLE="kitty.exe"
PREFIX_INSTALL_PATH="drive_c/Program Files"
WINE_VERSION="3.0.2"

TOP_IMAGE_URL=http://0.0.0.0/top.png
LEFT_IMAGE_URL=http://0.0.0.0/left.jpg
 
POL_GetSetupImages "$TOP_IMAGE_URL" "$LEFT_IMAGE_URL" "$TITLE"
POL_SetupWindow_Init
POL_Debug_Init

main()
{
        # Require that unzip is available
        if ! which unzip > /dev/null
        then
                POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
                return 1
        fi

        POL_SetupWindow_presentation "$TITLE" "$GAME_CREATOR" "$GAME_SITE" "$AUTHOR" "$PREFIX"

        [ "$(POL_Wine_PrefixExists ""$PREFIX"")" == True ]
        PREFIX_ALREADY_EXISTS=$?

        if [ "$PREFIX_ALREADY_EXISTS" -eq 0 ]
        then
                POL_SetupWindow_question "$(eval_gettext 'The install prefix already exists, continue with installation?')" "$TITLE"
                if [ "$APP_ANSWER" == "FALSE" ]
                then
                        return 1
                fi
        fi

        POL_SetupWindow_browse "$(eval_gettext 'Select game zip file')" "$TITLE" "" "*.zip"
        ZIP_FILE=$APP_ANSWER
        if [ ! -r "$ZIP_FILE" ]
        then
                POL_Debug_Error "$(eval_gettext 'Cannot read given zip file: ')$ZIP_FILE"
                return 1
        fi
        # Make sure the zip file actually contains the expected executable
        if ! unzip -l "$ZIP_FILE" "*$EXECUTABLE" > /dev/null
        then
                POL_Debug_Error "$(eval_gettext 'The given zip file does not contain the expected executable: ')$EXECUTABLE"
                return 1
        fi

        POL_Wine_SelectPrefix "$PREFIX"
        if [ "$PREFIX_ALREADY_EXISTS" -ne 0 ]
        then
                # Setup the virtual drive
                POL_Wine_PrefixCreate "$WINE_VERSION"
                POL_Call POL_Install_dotnet40
                POL_Call POL_Install_xna40
        fi

        # Extract the game in the prefix
        INSTALL_PATH="$WINEPREFIX/$PREFIX_INSTALL_PATH"
        if ! cd "$INSTALL_PATH"
        then
                POL_Debug_Error "$(eval_gettext 'Failed to cd to the expected install path: ')$INSTALL_PATH"
                return 1
        fi
        POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"
        POL_Debug_Message "Extracting zip file '$ZIP_FILE' to $PWD"
        if ! unzip "$ZIP_FILE"
        then
                POL_Debug_Error "$(eval_gettext 'Failed to unzip the file: ')$ZIP_FILE"
                return 1
        fi

        POL_Shortcut $EXECUTABLE "$TITLE"
}

main
 
POL_SetupWindow_Close
exit

Réponses